#!/usr/bin/env bash

DESIRED_MICROK8S_VERSION="1.21"

unset ELMA365_MICROK8S_INSTALLED

CURRENT_MICROK8S_VERSION=$(snap list microk8s 2> /dev/null | tail --lines=+2 | awk '{print $2}')
if [[ -n "$CURRENT_MICROK8S_VERSION" ]]; then
#  if [[ "$CURRENT_MICROK8S_VERSION" == "v$DESIRED_MICROK8S_VERSION*" ]]; then
    echo "microk8s is already installed"
#  else
#    snap refresh microk8s --channel=$DESIRED_MICROK8S_VERSION/stable
#  fi
else
  echo "Installing microk8s $DESIRED_MICROK8S_VERSION"

  # Для astra linux свои костыли
  if lsb_release -i | grep -q "AstraLinux"; then
    cDir=$(pwd)
    mkdir -p /tmp/elma-microk8s && cd /tmp/elma-microk8s || exit 3;
    export SNAP_ARCH=amd64
    export SNAP_DATA=/var/lib/microk8s
    snap download core
    find . -name 'core*.assert' -exec snap ack {} \;
    find . -name 'core*.snap' -exec snap install {} \;

    snap download microk8s --channel=$DESIRED_MICROK8S_VERSION/stable
    find . -name 'microk8s*.snap' -exec snap install --classic --dangerous {} \;

    cd "$cDir" || true
    rm -rf /tmp/elma-microk8s
    sudo mv /usr/bin/snapctl /usr/bin/snapctl.old
    sudo ln -s  /snap/core/current/usr/bin/snapctl /usr/bin/snapctl
  else
    snap install microk8s --channel=$DESIRED_MICROK8S_VERSION/stable --classic || return 42;
  fi

  export ELMA365_MICROK8S_INSTALLED=true
fi

microk8s status --wait-ready > /dev/null

snap set system snapshots.automatic.retention=no

microk8s kubectl label node --all elma365.com/backup=true --overwrite=true
