#!/usr/bin/env bash

# Если это было обновление - нам не нужно настраивать ему DNS
if [ "$ELMA365_INSTALL_MODE" != "install" ]; then
  return 0;
fi

function usePrivateDNS() {
  echo "Please specify your DNS servers separated with space (ex:192.168.1.1 192.168.56.3)"
  read -r answer
  if [[ -z "${answer}" ]]; then
    return 0;
  fi;

  microk8s.kubectl -n kube-system get cm coredns -o yaml | sed -E 's/[[:space:]]+\\n/\\n/g' | microk8s kubectl apply -f - || true
  microk8s kubectl -n kube-system get cm coredns -o yaml | sed "s/forward.*/forward . $answer/" | microk8s kubectl apply -f - || true
  microk8s kubectl -n kube-system rollout restart deployment/coredns || true
}

forwardString=$(microk8s kubectl -n kube-system get cm coredns -o yaml | grep -m1 forward)
if [[ $forwardString == *"8.8.8.8"* ]]; then
  echo -e "\e[93mELMA365 is using public DNS servers(8.8.8.8 8.8.4.4) at the moment"
  echo -e "\e[93mDo you want to specify your private DNS? (y/N)\e[39m"
  read -r yn
  case $yn in
      [Yy]* ) usePrivateDNS; return 0;;
      [Nn]* ) echo "skipping"; return 0;;
      * ) echo "skipping"; return 0;;
  esac
fi
