#!/usr/bin/env bash

if [ "$ELMA365_INSTALL_MODE" != "install" ]; then
  return 0;
fi

CPUCOUNT=$(getconf _NPROCESSORS_ONLN)

if [ "$ELMA365_EDITION" == "enterprise" ]; then

  if [ "$CPUCOUNT" -lt "8" ]; then
    echo -e "\033[0;31mThis computer does not meet the minimum requirements for installing this software"
    echo -e "Current number of CPU: ${CPUCOUNT}, required: 8\033[0m"
    echo -e "\e[93mELMA365 operation with enabled HPA is impossible. Press [ENTER] to continue...\e[0m"
    read -n 1 key
    if [ "$key" = "" ]; then
      return 0
    else
      echo "Terminated"
      return 1
    fi
  fi
  return 0
  
else

  if [ "$CPUCOUNT" -lt "3" ]; then
    echo -e "\033[0;31mThis computer does not meet the minimum requirements for installing this software"
    echo -e "Current number of CPU: ${CPUCOUNT}, required: 4\033[0m"
    echo "Terminated"
    return 1
  fi


  if [ "$CPUCOUNT" -lt "4" ]; then
    echo -e "\e[93mThis computer does not meet the minimum requirements for installing this software"
    echo -e "Current number of CPU: ${CPUCOUNT}, required: 4\e[0m"
    echo -e "\e[93mELMA365 will work slowly. Press [ENTER] to continue...\e[0m"
    read -n 1 key
    if [ "$key" = "" ]; then
      return 0
    else
      echo "Terminated"
      return 1
    fi
  fi

fi
