#!/usr/bin/env bash

if [ "$ELMA365_INSTALL_MODE" != "install" ]; then
  return 0;
fi

RAMCOUNT=$(($(getconf _PHYS_PAGES) * $(getconf PAGE_SIZE) / (1024 * 1024)))

if [ "$ELMA365_EDITION" == "enterprise" ]; then

  if [ "$RAMCOUNT" -lt "11500" ]; then
    echo -e "\033[0;31mThis computer does not meet the minimum requirements for installing this software"
    echo -e "Current RAM size: ${RAMCOUNT} MB, required: 12288 MB\033[0m"
    echo -e "\e[93mELMA365 operation with enabled HPA is impossible. Press [ENTER] to continue...\e[0m"
    read -n 1 key
    if [ "$key" = "" ]; then
      return 0
    else
      echo "Terminated"
      return 1
    fi
  fi
  return 0

else

  if [ "$RAMCOUNT" -lt "6000" ]; then
    echo -e "\033[0;31mThis computer does not meet the minimum requirements for installing this software"
    echo -e "Current RAM size: ${RAMCOUNT} MB, required: 8192 MB\033[0m"
    echo "Terminated"
    return 1
  fi

  if [ "$RAMCOUNT" -lt "7500" ]; then
    echo -e "\e[93mThis computer does not meet the minimum requirements for installing this software"
    echo -e "Current RAM size: ${RAMCOUNT} MB, required: 8192 MB\e[0m"
    echo -e "\e[93mELMA365 will work slowly. Press [ENTER] to continue...\e[0m"
    read -n 1 key
    if [ "$key" = "" ]; then
      return 0
    else
      echo "Terminated"
      return 1
    fi
  fi

fi
