#!/usr/bin/env bash

if [ "$ELMA365_INSTALL_MODE" != "install" ]; then
  return 0;
fi

DISKFREE=$(df -k /var/snap/ | tail -1 | awk '{print int($4 / 1024 / 1024)}')

if [ "$DISKFREE" -lt "20" ]; then
  echo -e "\033[0;31mThis computer does not meet the minimum requirements for installing this software"
  echo -e "Current free space on disk: ${DISKFREE} GB, required minimum: 20 GB\033[0m"
  echo "Terminated"
  return 1
fi

if [ "$DISKFREE" -lt "50" ]; then
  echo -e "\e[93mThis computer does not meet the minimum requirements for installing this software"
  echo -e "Current free space on disk: ${DISKFREE} GB, required: 50 GB\e[0m"
  echo -e "\e[93mELMA365 will work slowly. Press [ENTER] to continue...\e[0m"
  read -n 1 key
  if [ "$key" = "" ]; then
    return 0
  else
    echo "Terminated"
    return 1
  fi
fi

