#!/usr/bin/env bash

if [ "$ELMA365_INSTALL_MODE" != "install" ]; then
    return 0
fi

CURRENT_MICROK8S_VERSION=$(snap list microk8s 2> /dev/null | tail --lines=+2 | awk '{print $2}')
if [[ -n "$CURRENT_MICROK8S_VERSION" ]]; then
    return 0
fi

CHK_IP="$(ip route get 1 | awk '{print $(NF-2);exit}')"
for IP in {0.0.0.0,127.0.0.1,$CHK_IP}; do
  for PORT in {80,443}; do
    timeout 2 bash -c "</dev/tcp/$IP/$PORT" 2> /dev/null && PORT_BUSY="true";
  done;
done

if [ "$PORT_BUSY" = true ]; then
  echo -e "\033[0;31mELMA365 needs port 80 and 443 to be free for successful installation and operation. Сheck fails, another application is using port 80 or 443.\033[0m"
  echo "Terminated"
  return 1
fi

return 0;