#!/usr/bin/env bash

if [ "$ELMA365_INSTALL_MODE" != "install" ] && [ "$ELMA365_EDITION" != "enterprise" ]; then
  return 0;
fi

cat << EOF | microk8s kubectl apply -n argocd -f -
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: infra
  namespace: argocd
  annotations:
    argocd.argoproj.io/sync-wave: "-1"
spec:
  destination:
    namespace: default
    server: https://kubernetes.default.svc
  project: default
  source:
    path: infra
    repoURL: git://git-server.argocd/elma365.git
    helm:
      valueFiles:
      - values.yaml
  syncPolicy:
    automated: {}
    syncOptions:
    - CreateNamespace=true
EOF