#!/usr/bin/env bash
set +e

if [ "$ELMA365_INSTALL_MODE" != "install" ]; then
  return 0;
fi

sleep 15

elma365ctl sync infra > /dev/null 2>&1
sleep 2
elma365ctl sync elma365-databases > /dev/null 2>&1
sleep 3

echo "Waiting for databases"
while true; do
  status=$(microk8s kubectl -n argocd get Application elma365-databases -o jsonpath='{.status.health.status}' 2>/dev/null) || true
  if [ "$status" != "Healthy" ]; then
    if [ "$status" != "Unknown" ]; then
      microk8s kubectl -n argocd get Application elma365-databases -o jsonpath='{.status.operationState.message}' 2>/dev/null && echo || true
    fi
    sleep 15
  else
    break
  fi
done

elma365ctl sync elma365 > /dev/null 2>&1
sleep 3

echo "Waiting for elma365 application"
while true; do
  status=$(microk8s kubectl -n argocd get Application elma365 -o jsonpath='{.status.health.status}' 2>/dev/null) || true
  if [ "$status" != "Healthy" ]; then
    if [ "$status" != "Unknown" ]; then
      microk8s kubectl -n argocd get Application elma365 -o jsonpath='{.status.operationState.message}' 2>/dev/null && echo || true
    fi
    sleep 15
  else
    break
  fi
done

echo "Waiting for instance bootstrap"
sleep 60
while true; do
  status=$(microk8s kubectl -n elma365-system get jobs bootstrap-company -o jsonpath='{.status.conditions[0].type}' 2>/dev/null) || true
  if [ "$status" != "Complete" ]; then
    sleep 3
  else
    break
  fi
done

echo "Installation complete"